% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-documentation.R
\name{mexico_elections_df}
\alias{mexico_elections_df}
\title{2012 Mexico Elections Panel Study}
\format{
A data frame with 1004 observations and 25 variables:
\describe{
  \item{mex.t}{Wave number (integer)}
  \item{mex.male}{Gender: 1 = Male, 0 = Female (integer)}
  \item{mex.age}{Age of respondent (numeric)}
  \item{mex.education}{Level of education (integer)}
  \item{mex.y.all}{Year variable (integer)}
  \item{mex.vote}{Vote intention or behavior (integer)}
  \item{mex.age2}{Age squared (numeric)}
  \item{mex.interest}{Interest in politics (integer)}
  \item{mex.married}{Marital status (integer)}
  \item{mex.pidpanw2}{Partisan ID: PAN (integer)}
  \item{mex.pidprdw2}{Partisan ID: PRD (integer)}
  \item{mex.pidpriw2}{Partisan ID: PRI (integer)}
  \item{mex.votecard}{Possession of voting card (integer)}
  \item{mex.urban}{Urban residence indicator (integer)}
  \item{mex.cleanelections}{Perception of clean elections (integer)}
  \item{mex.metro}{Lives in metropolitan area (integer)}
  \item{mex.centralregion}{Lives in central region (integer)}
  \item{mex.northregion}{Lives in northern region (integer)}
  \item{mex.wealth}{Wealth index (numeric)}
  \item{mex.epnapprove}{Approval of electoral authority (integer)}
  \item{mex.havepropoganda}{Received political propaganda (integer)}
  \item{mex.concurrent}{Concurrent elections indicator (integer)}
  \item{mex.cleanelectionsmiss}{Missing response for clean elections question (integer)}
  \item{mex.loyal}{Party loyalty (integer)}
  \item{mex.direct}{Direct benefit from party/government (integer)}
}
}
\source{
Data taken from the list package version 9.2.6
}
\usage{
data(mexico_elections_df)
}
\description{
This dataset, mexico_elections_df, is a data frame containing a subset of the 2012 Mexico Elections Panel Study.
The dataset includes 1004 observations and 25 variables, covering demographics, political preferences,
and attitudes toward electoral processes. It provides valuable insights into voter behavior and perceptions
during the 2012 federal elections in Mexico.
}
\details{
The dataset name has been kept as 'mexico_elections_df' to avoid confusion with other datasets
in the R ecosystem. This naming convention helps distinguish this dataset as part of the
MexicoDataAPI package and assists users in identifying its specific characteristics.
The suffix 'df' indicates that the dataset is a data frame. The original content has not been modified
in any way.
}
